/* Default styling is for mobile view */

:root {
  /* Colors */
  --dark-green: hsl(145, 69%, 25%);
  --vivid-green: hsl(152, 84%, 31%);
  --light-green: hsl(120, 100%, 90%);
  --distant-green: hsl(152, 84%, 98%);

  --white: hsl(0, 0%, 100%);
  --black: hsl(0, 0%, 0%);
  --dark-grey: hsl(0, 0%, 75%);
  --grey: hsl(0, 0%, 88%);
  --light-grey: hsl(0, 0%, 99%);

  /* Font sizes */
  --h1-size: 1.75rem;
  --h2-size: 1.375rem;
  --h3-size: 1.25rem;
  --p-size: 1rem;
  --small-size: 0.875rem;

  /* Padding */
  --section-padding: 3rem 1.25rem;
  --alt-section-padding: 0 1.25rem 3rem 1.25rem;
  --button-padding: 0.5rem 1rem;

  /* Gap */
  --g1-gap: 0.5rem;
  --g2-gap: 1rem;
  --g3-gap: 2rem;
  --g4-gap: 3rem;

  /* Border radius */
  --border-radius: 1.125rem;
  --alt-border-radius: 1.125rem 1.125rem 0 0;
  --opp-alt-border-radius: 0 0 1.125rem 1.125rem;

  --button-border-radius: 999px;

  /* Box shadow */
  --shadow: 0 0 15px rgba(0, 0, 0, 0.15);
}

*, *::before, *::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: Inter, system-ui, -apple-system, Segoe UI, Roboto, Arial, sans-serif;
  background-color: var(--white);
  color: var(--black);
  line-height: 1.4;
  max-height: 100vh;
  max-width: 100vw;
}

a {
  color: inherit;
  text-decoration: none;
}
img {
  max-height: 100%;
  display: block;
  width: auto;
}

main {
  margin-top: 5rem;
}

h1, h2, h3, p {
  color: var(--black);
}
h1 {
  font-size: var(--h1-size);
  font-weight: 800;
}
h2 {
  font-size: var(--h2-size);
  font-weight: 700;
}
h3 {
  font-size: var(--h3-size);
  font-weight: 700;
}
p {
  font-size: var(--p-size);
  font-weight: 500;
}

.section {
  padding: var(--section-padding) !important;
}

/* Buttons */
.button {
  font-size: var(--small-size);
  font-weight: 600;
  padding: var(--button-padding);
  border-radius: var(--button-border-radius);
  background: var(--dark-green);
  color: var(--white);
  box-shadow: var(--shadow);
  align-self: flex-start;
  justify-self: start;
  display: inline-flex;
  align-items: center;
  column-gap: 0.35rem;
  letter-spacing: 0.2px;
}
.button i {
  font-size: var(--small-size);
}

.back-button {
  height: 2.35rem;
  width: 2.35rem;
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;
}
.back-button i {
  font-size: var(--small-size);
}

/* Tablet */
@media (min-width: 768px) {
  :root {
    /* Font sizes */
    --h1-size: 2.25rem;
    --h2-size: 1.75rem;
    --h3-size: 1.35rem;
    --p-size: 1.0625rem;
    --small-size: 0.9375rem;

    /* Border radius */
    --border-radius: 1.5rem;

    /* Padding */
    --section-padding: 5rem 2.5rem;
    --alt-section-padding: 0 2.5rem 5rem 2.5rem;
    --button-padding: 0.5rem 1rem;
  }

  main {
    margin-top: 6rem;
  }
}

/* Laptop / Desktop */
@media (min-width: 1024px) {
  :root {
    /* Colors */
    --light-dark-green: hsl(145, 69%, 30%); /* For hover */
    --light-vivid-green: hsl(152, 84%, 34%); /* For hover */

    /* Font sizes */
    --h1-size: 3rem;
    --h2-size: 2rem;
    --h3-size: 1.65rem;
    --p-size: 1.125rem;
    --small-size: 1rem;
     
    /* Border radius */
    --border-radius: 1.5rem;

    /* Padding */
    --section-padding: 6rem 5rem;
    --alt-section-padding: 0 5rem 6rem 5rem;
    --button-padding: 0.5rem 1.25rem;
  }

  body {
    line-height: 1.25;
  }

  /* Button */
  .button {
    transition: background-color 0.15s ease-in-out;
  }
  .button:hover {
    background-color: var(--light-dark-green);
    cursor: pointer;
  }
}